Redmine - Defect #10803

Unable to Update (PUT) Versions Through API
2012-04-30 17:50 - Cory Riddell

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.4.1
Description

The api docs (http://www.redmine.org/projects/redmine/wiki/Rest_Versions#PUT) say you should be able to update existing versions
with PUT but when | try it, | get an error 405 that says "Only get and post requests are allowed.".

History

#1 - 2012-04-30 18:37 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Which URL are you using to make your PUT request?

#2 - 2012-04-30 18:40 - Jean-Philippe Lang

- Description updated

And please post the application log instead of the response.

#3 - 2012-04-30 20:28 - Cory Riddell

The URL was 'http://localhost/redmine/projects/1/versions.json'
and the log contains this:

Processing ApplicationController#index (for 127.0.0.1 at 2012-04-30 10:41:24) [PUT]
Parameters: {"version"=>{"status"=>"closed", "name"=>"1016"}}

ActionController: :MethodNotAllowed (Only get and post requests are allowed.):
config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in “dispatch_cgi'

Rendering rescues/layout (method_not_allowed)

#4 - 2012-05-01 18:00 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution changed from Cant reproduce to Invalid

To update a version, the PUT request is to be made to /versions/:id.:format (eg. /versions/2.xml).
Please, read Rest_Versions.
